#
# spec file for package perl-Readonly
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Readonly
Version:        1.04
Release:        61.1
%define cpan_name Readonly
Summary:        Facility for creating read-only scalars, arrays, hashes
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Readonly/
Source:         http://www.cpan.org/authors/id/S/SA/SANKO/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPAN::Meta::Prereqs)
BuildRequires:  perl(Module::Build) >= 0.38
Recommends:     perl(Readonly::XS) >= 1.06
%{perl_requires}

%description
Facility for creating read-only scalars, arrays, hashes

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build build flags=%{?_smp_mflags}

%check
./Build test

%install
./Build install destdir=%{buildroot} create_packlist=0
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes cpanfile LICENSE README.md TODO

%changelog
* Mon Dec 30 2013 rschweikert@suse.com
- eliminate attempt to remove the benchmark test. The new install process
  no longer installs the benchmark test into the target tree, thus the
  removal of the file to hide it from the package is obsolete.
  + Fixes the build failure on all distros
* Tue Nov 26 2013 coolo@suse.com
- updated to 1.04
  - Module now maintained by Sanko Robinson. Please see TODO for a possible
    set of changes to this module that may effect code written for old, pre-
    perl 5.14.0 platforms!!!
* Tue May  8 2012 cfarrell@suse.com
- license update: Artistic-1.0 or GPL-1.0+
  Use SPDX format (http://www.spdx.org/licenses)
* Fri Nov 18 2011 coolo@suse.com
- use original tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Mar 16 2010 chris@computersalat.de
- fix header
- fix deps for perl-macros
* Sun Feb 21 2010 chris@computersalat.de
- cleanup spec
  o fixed Header
  o sort tags
  o added perl-macros (perl_gen_filelist)
  o removed noarch
  o fixed deps
  o moved benchmark.pl to doc
  o moved changelog to changes file
  o bzipped SOURCE
* Wed Oct 21 2009 rschweikert@novell.com
- Add changes file
- Cleanup %%changelog to only have initial build entry
* Mon Oct 12 2009 rschweikert@novell.com
- Initial build.
